<?php

	session_start();
	require ('connect/mysqli_connect.php'); // recup connection
	ob_start();
	// page de retour OU DECONNECTION
	if ($_SESSION['Autorisation'] == 0) //Etudiant
	{
		$retour="sp_liste.php";
	}
	elseif ($_SESSION['Autorisation'] == 1) //Prof
	{
		$retour='prof_toutesles_sp.php?id='.$_SESSION['sessionex'];
	}
	else
	{
		header("Location: erreur_page.php");
		exit();
	}
	
	
	
	if ( (isset($_GET['id'])) && (is_numeric($_GET['id'])) ) // From Situation pro.php
	{
		 // on récupère le nom de la page et l'id de la sp
		$Id = $_GET['id'];		
		// Récup données de la table situation pro rentrées ds le formulaire"
		$q = "SELECT * FROM situationpro WHERE NumSP='".$Id."' ";
		$result = @mysqli_query ($dbcon, $q)or die('erreur MYSQL  : '.mysqli_error($dbcon));
		$champSP = mysqli_fetch_array ($result, MYSQLI_BOTH)or die('erreur MYSQL  : '.mysqli_error($dbcon));
		
		// Récup du nom prénom numinscrpton de l'acteur'
		$q="SELECT NomAct, PrenomAct,NumInscAct FROM situationpro, acteur WHERE situationpro.NumEt= acteur.NumAct AND NumSP='".$Id."'"; 
		$result = @mysqli_query ($dbcon, $q)or die('erreur MYSQL  : '.mysqli_error($dbcon));
		$identite = mysqli_fetch_array ($result, MYSQLI_BOTH)or die('erreur MYSQL  : '.mysqli_error($dbcon));
		
		// Récup du nom et numéro des activités du P5 et du P6 dasn le référentiel
		$q="SELECT NumAct,LibelleAct
		FROM activite
		WHERE NumAct >=50 AND NumAct <70
		ORDER BY Numact";
		$result = @mysqli_query ($dbcon, $q) or trigger_error("Erreur MYSQL  SQL: $q - Error: ".mysqli_error($dbcon), E_USER_ERROR);
		$CompteActP5P6 = mysqli_num_rows($result); 
		// Récup des activ du P5 P6
		for ($i = 1; $i <= $CompteActP5P6; $i++)
		{
			$ActP5P6[$i] = mysqli_fetch_array($result, MYSQLI_BOTH); // on récupère les activ de la SP		
		}
		
		// Récup des activités P5 P6 de la SP
		$q="SELECT numActivite,LibelleAct
		FROM correspondre, activite
		WHERE correspondre.numActivite=activite.Numact	
		AND NumSP='".$Id."'
		AND numActivite>=50 AND numActivite<70
		ORDER BY activite.Numact";
		$result = mysqli_query($dbcon, $q) or trigger_error("Erreur MYSQL  SQL: $q - Error: ".mysqli_error($dbcon), E_USER_ERROR);
		$CompteActSP_P5P6 = mysqli_num_rows($result);
		// Récup des activ de la SP
		for ($i = 1; $i <= $CompteActSP_P5P6; $i++)
		{
			$ActSP[$i] = mysqli_fetch_array($result, MYSQLI_BOTH); // on récupère les activ de la SP		
		}
		
		// Récup des activités du  P7 de la SP
		$q="SELECT numActivite,LibelleAct
		FROM correspondre, activite
		WHERE correspondre.numActivite=activite.Numact	
		AND NumSP='".$Id."'
		AND numActivite>=70
		ORDER BY activite.Numact";
		$result = mysqli_query($dbcon, $q)  or trigger_error("Erreur MYSQL  SQL: $q - Error: ".mysqli_error($dbcon), E_USER_ERROR);
		$CompteActSP_P7 = mysqli_num_rows($result);
		// Récup des activ du P7
		for ($i = 1; $i <= $CompteActSP_P7; $i++)
		{
			$ActP7[$i] = mysqli_fetch_array($result, MYSQLI_BOTH); // on récupère les activ P7
		}
		
		
		
		
	}
	
	else
	{
		$Id =207; //TEST///////////////////////////
		$identite['NomAct']='TEST';//TEST///////////////////////////
//		header("Location: erreur_page.php");
//		exit();
	}
	
ob_start();
?>
<style type="text/css">

	table	{
		background-color: #ffffff;
		border-collapse: collapse;
		border-color: #ff0000;
		color: #000000;
		font-family: arial;
		width:190mm;
	}

	td	{
		padding: 5px;
		margin:5px;
		border: 1px solid #0b0415;
		font-weight: normal;
		width:100%;
	}

	h1{
		margin:1;
		text-align: center;
		padding:0;
		font-size: 12pt;
	}
	
	h2{
		margin:1;
		text-align: center;
		padding:0;
		font-size: 11pt;
	}
	
	p{
		margin:0px;
		margin-bottom:10px;
		padding:0px;
		font-size: 10pt;
	}
	
	p.interligne{
		line-height: 3px;
		font-size:10pt;
	}
	p.textegras
	{
		font-weight : bold;
	}
	
	.textegrascentre
	{
		font-weight : bold;
		text-align: center ;
	}
	p.textecommentaire
	{
		font-size:9pt;
		font-style: italic;
		text-align: center;
	}
	

</style>


<?php

	echo '<page backtop="10mm" backleft="10mm" backright="10mm" backbottom="10mm" format="A4" orientation="P">';
	//AFFICHAGE	
	

	echo '
		<table>
			<tr>
				<td>
					<h1>
					BTS comptabilité et gestion<br>
					Session 2017<br>
					Sous épreuve E5 : FICHE DE SITUATION PROFESSIONNELLE	
					</h1>
				 </td>
			</tr>
		</table>
		<br>
		<table>
			<tr>
				<td style="width:15%">
					<b>CANDIDAT (E)</b>
				</td>
				<td style="width:85%">
					<b>Nom et prénom :</b> <i>'.$identite['NomAct'].' '.$identite['PrenomAct'].'</i><br/>
					<b>Matricule : </b><i>'.$identite['NumInscAct'].'</i>
				</td>
			</tr>
		</table>
		<p class="interligne"> </p>

		<table>
			<tr>
				<td>
					<h1>DESCRIPTION DE LA SITUATION PROFESSIONNELLE</h1>
					 <p class="textecommentaire">( En relation avec les éléments du passeport professionnel)</p>
				</td>
			</tr>
		</table>
		
		<p class="interligne"> </p>
		
		<table>
		<tr style="height:3cm">
					<td>
					<B>Identification de la situation professionnelle dans le passeport :</B> <I>'.$champSP['IdentificationSP'].'</I>
					<br/>
					<B>Période de réalisation : </B><I>'.$champSP['PeriodeSP'].'</I><br/>
					<B>Modalité de réalisation : </B><I>'.$champSP['ModaliteSP'].'</I>

				</td>
				
			</tr>
			
			<tr>
				<td>
					<B>Intitulé de la situation professionnelle :</B><br/>
					<I>'.$champSP['IntituleSP'].'</I>
				</td>
			</tr>	
			
			<tr style="height:3cm">
				<td  class="texte" >
					<p><B>Problème de gestion :</B></p>
					<p><I>'.$champSP['ProblematiqueSP'].'</I></p>
				</td>
			</tr>	
			
			<tr style="height:3cm">
				<td class="texte">
					<p><B>Conditions de réalisation : (ressources, organisation du travail, contraintes, démarche…):</B></p>
					<p><I>'.$champSP['ConditionRealSP'].'</I></p>
				</td>
			</tr>	
			
			<tr style="height:3cm">
				<td class="texte">
					<p><B>Productions réalisées :</B></p>
					<p><I>'.$champSP['ProductionSP'].'</I></p>
				</td>
			</tr>									
		</table>
		<p class="interligne"> </p>';
		
		

		
		
		// On remplit les ativités du P5 et P6 avec une X si elle sont dans la SP
		echo '
		<table>
			<tr class="texte">
				<td style="width:90%">
					<B>Activités réalisées dans la situation professionnelle :</B>
				</td>
				<td style="width:10%" class="textegrascentre">
					<B>Cocher</B>
				</td>
			</tr>';
			
		for($i=1;$i<=$CompteActP5P6;$i++)
		{
			echo '<tr><td style="width:90%; font-size:8pt; padding: 0px; margin:0px;">'.$ActP5P6[$i]['LibelleAct'].'</td>';
			// A T ON FAIT L'ACTIVITE ? //'
			echo'<td style="width:10%; font-size:8pt; padding: 0px; margin:0px;"class="textegrascentre">';
			for ($j=1;$j<=$CompteActSP_P5P6;$j++)
			{
				if ($ActP5P6[$i]['NumAct']== $ActSP[$j]['numActivite'])
				{
					echo'X';			//SI OK on coche
				}
			}
			echo'</td></tr>';
		}
		/////////////////////////////////

		echo'<tr >
						<td colspan="2" style="height:1cm; font-size:8pt; padding: 0px; margin:0px;">
							<b>Indiquer les références des activités concernées pour les processus P7 :</b><br/>';

		for($i=1;$i<=$CompteActSP_P7;$i++)
		{
			echo '<I>'.$ActP7[$i]['LibelleAct'].'</I><br/>';
		}
		echo '</td> </tr> </table>';
			
		echo '</page>';
	
	// Page 2	
			
		echo'	<page pageset="old"> ';	
		echo'<table style="width:188mm">
					<tr>
						<td style="border-bottom :0px;">
							<h1>ANALYSE</h1>
						</td>
					</tr>
			</table>

				
			<table style="width:718px">
				<tr>
						<td valign="bottom" style="width:30px; height:370px;">
							<div style="rotate: 90">
								<h2>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Analyse&nbsp;de&nbsp;la&nbsp;situation</h2>
							</div>
						</td>	
						<td style="width:633px;">
						<p><I><br><br>'.$champSP['AnalyseSP'].'</I></p>
						</td>	
					</tr>

					<tr>
					
						<td valign="bottom" style="width:30px; height:370px;">
								<div style="rotate: 90;">
									<p><b>Contribution&nbsp;de&nbsp;la&nbsp;situation&nbsp;professionnelle&nbsp;&agrave;&nbsp;la&nbsp;<br/>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;professionnalisation</b></p>
								</div>
						</td>
						<td style="width:633px;">
								<p><I><br/>'.$champSP['ContribSP'].'</I></p>
						</td>
					</tr>
				</table>
				<br/>	
			';
			
	echo'</page>';

	$content = ob_get_clean();
	require_once "scripts/html2pdf/html2pdf.php";
	try {
		$pdf = new HTML2PDF("p","A4","fr");
		$pdf->pdf->SetAuthor('L NOGUES');
		$pdf->pdf->SetTitle('E5'.$champSP['IdentificationSP'].$identite['NomAct']);
		$pdf->writeHTML($content);
		$pdf->Output($identite['NomAct'].'-E5-'.$champSP['IdentificationSP'].'.pdf');
	}
	catch(HTML2PDF_exception $e)	{
		die($e);
	}
?>